> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sportsapipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Match Endpoints

> 22 endpoints for minifootball match data: scores, stats, incidents, and odds

## Scoring Format

Minifootball uses two halves. The `/scores` endpoint returns:

```json theme={null}
{
  "homeScore": { "period1": 1, "period2": 1, "current": 2 },
  "awayScore": { "period1": 2, "period2": 1, "current": 3 }
}
```

* `period1` = 1st half goals, `period2` = 2nd half goals
* `overtime` and `penalties` appear in knockout matches
* Similar to football/futsal scoring structure

***

### Match Details

```
GET /api/match/:matchId
```

Full match details including teams, score, status.

### Scores

```
GET /api/match/:matchId/scores
```

Half-by-half scores (H1, H2).

### Lineups

```
GET /api/match/:matchId/lineups
```

Starting players and substitutes.

### Match Statistics

```
GET /api/match/:matchId/statistics
```

Match stats: shots, fouls, corners, etc.

### Incidents

```
GET /api/match/:matchId/incidents
```

Goals, cards, substitutions timeline.

### Player Statistics (All)

```
GET /api/match/:matchId/player-statistics
```

### Individual Player Stats

```
GET /api/match/:matchId/player/:pid/statistics
```

### Best Players

```
GET /api/match/:matchId/best-players
```

### Match Award

```
GET /api/match/:matchId/award
```

### Head-to-Head

```
GET /api/match/:matchId/h2h
```

### Scoring Timeline

```
GET /api/match/:matchId/graph
```

### Pre-game Form

```
GET /api/match/:matchId/pregame-form
```

### Streaks

```
GET /api/match/:matchId/streaks
```

### Highlights

```
GET /api/match/:matchId/highlights
```

### Match Media

```
GET /api/match/:matchId/media
```

### Fan Votes

```
GET /api/match/:matchId/votes
```

### Broadcast Channels

```
GET /api/match/:matchId/channels
```

### Featured Odds

```
GET /api/match/:matchId/odds
```

### All Odds

```
GET /api/match/:matchId/odds/all
```

### Pre-match Odds

```
GET /api/match/:matchId/odds/pre-match
```

### Live Odds

```
GET /api/match/:matchId/odds/live
```

### Win Probability

```
GET /api/match/:matchId/winning-odds
```
